| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | List of all members
PackageManager::Package Class Reference
Inheritance diagram for PackageManager::Package:

## Public Member Functions
Kitting::ComparableVersion | GetRequiredGLStudioVersion () override
Kitting::Version | GetVersion ()
Kitting::ComparableVersion * | GetReferencedVersion ()
String | GetName ()
String | GetPlatform ()
String | GetDescription ()
String | GetPackagePath ()
bool | IsReference ()
Public Member Functions inherited from Kitting::HasRequiredGLStudioVerison
virtual | ~HasRequiredGLStudioVerison ()
virtual ComparableVersion | GetRequiredGLStudioVersion ()=0

## Detailed Description

Class representing a package, either inside a zip file or extracted to a project.

## Member Function Documentation

## ◆ GetDescription()

String PackageManager::Package::GetDescription | ( |  | ) |

Returns the package's self-reported description.

## ◆ GetName()

String PackageManager::Package::GetName | ( |  | ) |

Returns the package's self-reported name.

## ◆ GetPackagePath()

String PackageManager::Package::GetPackagePath | ( |  | ) |

Returns the package's self-reported path.

## ◆ GetPlatform()

String PackageManager::Package::GetPlatform | ( |  | ) |

Returns the package's self-reported platform.

## ◆ GetReferencedVersion()

Kitting::ComparableVersion * PackageManager::Package::GetReferencedVersion | ( |  | ) |

Returns the comparable version used to find the correct package version if the package is a reference.

## ◆ GetRequiredGLStudioVersion()

Kitting::ComparableVersion PackageManager::Package::GetRequiredGLStudioVersion | ( |  | ) |
| override virtual

See Kitting::HasRequiredGLStudioVerison interface.

Implements Kitting::HasRequiredGLStudioVerison.

## ◆ GetVersion()

Kitting::Version PackageManager::Package::GetVersion | ( |  | ) |

Returns the self-reported version number of the package.

## ◆ IsReference()

bool PackageManager::Package::IsReference | ( |  | ) |

Returns whether or not this package is installed as a reference or not.

The documentation for this class was generated from the following file:

- PackageManager.i